def test_textbox(ax_text):

    from textbox import TextBoxArtist, \
         SquareBox, RoundBox, MoreRoundBox, SBox
    
    
    t = ax_text(0., 0., "test", size=20, rotation=30.,
                ha="center", va="center",
                bbox = dict(artist=TextBoxArtist(SquareBox()))
                )



    textbox_artist = TextBoxArtist(RoundBox(pad=0.4))

    t = ax_text(0.3, 0., "test\nRoundBox", size=20, rotation=-30.,
                ha="center", va="center",
                bbox = dict(artist=textbox_artist,
                            fc="r",
                            shadow=dict(offset=(5, -5),
                                        fc=(0.6, 0.6, 0.6),
                                        ec=(0.8, 0.8, 0.8))
                            )
                )


    t = ax_text(0.5, 0.2, "MoreRoundBox!", size=20, rotation=0.,
                color="y",
                ha="center", va="center",
                bbox = dict(artist=TextBoxArtist(MoreRoundBox(rounding_fraction=1.5)),
                            fc="g",
                            shadow=dict(offset=(5, -5),
                                        fc=(0.6, 0.6, 0.6),
                                        ec=(0.8, 0.8, 0.8))
                            )
                )

    t = ax_text(0.4, -0.2, r"SBox", size=20, rotation=30.,
                bbox = dict(artist=TextBoxArtist(SBox(pad=0.4)),
                            fc="w"),
                va="top", ha="left",
                )




def test1():
    import matplotlib.pyplot as plt

    from textbox import Text

    plt.clf()

    ax = plt.gca()

    ax.set_xlim(-0.2, 0.8)
    ax.set_ylim(-0.5, 0.5)

    def ax_text(*kl, **kw):
        t = Text(*kl, **kw)
        ax.add_artist(t)
        # ax.text(*kl, **kw)

    test_textbox(ax_text)

    plt.draw()
    plt.savefig("test")
    
def test2():
    import matplotlib.pyplot as plt
    from textbox import TextBoxArtist, \
         SquareBox, RoundBox, MoreRoundBox, SBox

    plt.clf()

    ax = plt.gca()

    ax.set_xlim(-0.2, 0.8)
    ax.set_ylim(-0.5, 0.5)


    ax_text = ax.text
    test_textbox(ax_text)

    textbox_artist = TextBoxArtist(RoundBox(pad=0.4))

    ax.set_title("title",
                 color="w",
                 bbox = dict(artist=textbox_artist,
                             pad=0.4,
                             ec="none",
                             fc=(0.3, 0.3, 0.3),
                             shadow=dict(offset=(3, -2),
                                         fc=(0.6, 0.6, 0.6),
                                         ec="none")
                             )
                 )


    plt.draw()
    #plt.show()
    plt.savefig("test")
    return

if __name__ == "__main__":
    #test1()
    test2()

